summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorHan-Wen Nienhuys <hanwen@lilypond.org>2002-07-20 14:08:34 +0000
committerHan-Wen Nienhuys <hanwen@lilypond.org>2002-07-20 14:08:34 +0000
commit34d19ef64368a8bac8a32f799b71dc05dd587654 (patch)
treebdf482155a8d561207b1a9c780f98ca666b77317 /autogen.sh
parentdd897aafbd218685874256405f740a0e9e1e7303 (diff)
downloadguile-34d19ef64368a8bac8a32f799b71dc05dd587654.tar.gz
2002-07-20 Han-Wen <hanwen@cs.uu.nl>
* *.c: add space after commas everywhere. * *.c: use SCM_VECTOR_SET everywhere, where a vector is written. Document cases where SCM_WRITABLE_VELTS() is used. * vectors.h (SCM_VELTS): prepare for write barrier, and let SCM_VELTS() return a const pointer (SCM_VECTOR_SET): add macro. * autogen.sh (mscripts): find and check version number of autoconf. Complain if 2.53 is not found.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh22
1 files changed, 20 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index a41df1179..ef7b58af8 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -85,8 +85,26 @@ fi
######################################################################
-autoheader
-autoconf
+
+# configure.in reqs autoconf-2.53; try to find it
+for suf in "-2.53" "2.53" "" false; do
+ version=`autoconf$suf --version 2>/dev/null | head -1 | awk '{print $NF}' | awk -F. '{print $1 * 100 + $2}'`
+ if test "0$version" -eq 253; then
+ autoconf=autoconf$suf
+ autoheader=autoheader$suf
+ break
+ fi
+done
+
+if test -z "$autoconf"; then
+ echo "ERROR: Please install autoconf 2.53"
+ exit 1
+fi
+
+
+################################################################
+$autoheader
+$autoconf
# Automake has a bug that will let it only add one copy of a missing
# file. We need two mdate-sh, tho, one in doc/ref/ and one in